Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1122210

Summary: Review Request: nodejs-ast-traverse - Simple but flexible AST traversal
Product: [Fedora] Fedora Reporter: Ralph Bean <rbean>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review, panemade
Target Milestone: ---Flags: panemade: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-07-23 17:22:44 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 956806, 1122219    

Description Ralph Bean 2014-07-22 19:03:39 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-ast-traverse.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-ast-traverse-0.1.1-1.fc20.src.rpm

Description:
Simple but flexible AST traversal with pre and post visitors. Works in node and
browsers.

Comment 1 Parag AN(पराग) 2014-07-23 08:40:01 UTC
Review:

+ mock build is successful for f22

+ rpmlint output on rpms gave
nodejs-ast-traverse.noarch: W: spelling-error %description -l en_US pre -> per, ore, pee
nodejs-ast-traverse.noarch: W: only-non-binary-in-usr-lib
nodejs-ast-traverse.src: W: spelling-error %description -l en_US pre -> per, ore, pee
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :66e8417e084d903636d285f2ca269232539f2bbf10cae54de7b7525aec9f5066
upstream tarball :66e8417e084d903636d285f2ca269232539f2bbf10cae54de7b7525aec9f5066

+ License "MIT" is valid and is included in its own file as %doc

+ rest looks following packaging guidelines

Suggestions:
1) Please remove unnecessary empty lines 4-5

APPROVED.

Comment 2 Ralph Bean 2014-07-23 14:10:17 UTC
New Package SCM Request
=======================
Package Name: nodejs-ast-traverse
Short Description: Simple but flexible AST traversal
Upstream URL: https://npmjs.org/package/ast-traverse
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 3 Gwyn Ciesla 2014-07-23 14:19:18 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-07-23 17:12:13 UTC
nodejs-ast-traverse-0.1.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-ast-traverse-0.1.1-1.fc20

Comment 5 Fedora Update System 2014-07-23 17:12:23 UTC
nodejs-ast-traverse-0.1.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-ast-traverse-0.1.1-1.fc19

Comment 6 Ralph Bean 2014-07-23 17:22:44 UTC
Buildroot overrides created.

Comment 7 Fedora Update System 2014-08-15 02:30:36 UTC
nodejs-ast-traverse-0.1.1-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 8 Fedora Update System 2014-08-15 02:38:24 UTC
nodejs-ast-traverse-0.1.1-1.fc19 has been pushed to the Fedora 19 stable repository.